# Texture3D.cpp File Reference

`#include <osg/GLExtensions>`
`#include <osg/Texture3D>`
`#include <osg/State>`
`#include <osg/GLU>`
`#include <osg/Notify>`
`#include <string.h>`

Include dependency graph for Texture3D.cpp:

## Defines

#define | GL_MAX_3D_TEXTURE_SIZE 0x8073

## Typedefs

typedef buffered_value< ref_ptr< Texture3D::Extensions > > | BufferedExtensions

## Define Documentation

#define GL_MAX_3D_TEXTURE_SIZE 0x8073

## Typedef Documentation

typedef buffered_value< ref_ptr<Texture3D::Extensions> > BufferedExtensions